summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristopher Diaz Riveros <chrisadr@gentoo.org>2018-05-26 16:50:51 -0500
committerAaron Bauman <bman@gentoo.org>2018-05-26 17:54:12 -0400
commitee77d7289457f49c93c7ddc2a24973e1fd54d82c (patch)
treedf91e24475dea554947b9edcbc814c00807a562a
parentbump version (diff)
downloadglsamaker-2.1.10.tar.gz
glsamaker-2.1.10.tar.bz2
glsamaker-2.1.10.zip
lib/spelling: Remove deprecated 'runspell'2.1.10
'runspell' gem 0.0.1 is dead upstream since 2011, and depends on old .so files from libhuspell-1.3. lib/glsamaker/spelling.rb stays in case we want to use a newer gem and don't lose the code. Signed-off-by: Christopher Diaz Riveros <chrisadr@gentoo.org>
-rw-r--r--Gemfile6
-rw-r--r--lib/glsamaker.rb6
2 files changed, 10 insertions, 2 deletions
diff --git a/Gemfile b/Gemfile
index 25bbcf2..b7baef3 100644
--- a/Gemfile
+++ b/Gemfile
@@ -44,7 +44,11 @@ gem 'text-format-revised', require: 'text/format'
gem 'kramdown'
gem 'thinking-sphinx', '~> 3.1.4'
-gem 'runspell'
+
+#FIXME: runspell 0.0.1 is dead since 2011, we may need
+#to create a new spelling module
+
+#gem 'runspell'
# gem "rdoc"
diff --git a/lib/glsamaker.rb b/lib/glsamaker.rb
index 6f4cb61..fdc93d8 100644
--- a/lib/glsamaker.rb
+++ b/lib/glsamaker.rb
@@ -15,5 +15,9 @@ require 'glsamaker/diff'
require 'glsamaker/xml'
require 'glsamaker/bugs'
require 'glsamaker/mail'
-require 'glsamaker/spelling'
+
+#FIXME: spelling module is developed with dead 'runspell' gem.
+#
+#require 'glsamaker/spelling'
+
# require 'glsamaker/helpers' DO NOT REQUIRE or else the rake tasks will blow up